﻿hart_ids: [0]
hart0: &hart0
  custom_exceptions:
    - cause_val: 25
      cause_name: halt_ebreak
    - cause_val: 26
      cause_name: halt_trigger
    - cause_val: 28
      cause_name: halt_step
    - cause_val: 29
      cause_name: halt_reset
  custom_interrupts:
    - cause_val: 16
      cause_name: debug_interrupt
      on_reset_enable: 1
      priv_mode : M
  ISA: RV32IMAFDCNSHUZicsr_Zifencei
  User_Spec_Version: '2.3'  
  pmp_granularity: 1
  physical_addr_sz: 32
  supported_xlen:
    - 32
  misa:
   reset-val: 0x401431AD
   rv32:
     accessible: true
     mxl:
       implemented: true
       type:
           warl:
              dependency_fields: []
              legal:
                - mxl[1:0] in [0x1]
              wr_illegal:
                - Unchanged
     extensions:
       implemented: true
       type:
           warl:
              dependency_fields: []
              legal:
                - extensions[25:0] bitmask [0x014312D, 0x0000000]
              wr_illegal:
                - Unchanged
  mip:
   reset-val: 0
   rv32:
     accessible: true
     usip:
      implemented: true
     ssip:
      implemented: true
     msip:
      implemented: true
      type:
        ro_variable: true
     utip:
      implemented: true
     stip:
      implemented: true
     mtip:
      implemented: true
      type:
        ro_variable: true
     ueip:
      implemented: true
     seip:
      implemented: true
     meip:
      implemented: true
      type:
        ro_variable: true
   rv64:
     accessible: false
  mie:
   reset-val: 0
   rv32:
     accessible: true
     usie:
      implemented: true
     ssie:
      implemented: true
     msie:
      implemented: true
     utie:
      implemented: true
     stie:
      implemented: true
     mtie:
      implemented: true
     ueie:
      implemented: true
     seie:
      implemented: true
     meie:
      implemented: true
   rv64:
     accessible: false
     
  hie:
   reset-val: 0
   rv32:
     accessible: true
     vssie:
      implemented: true
     vstie:
      implemented: true
     vseie:
      implemented: true
     sgeie:
      implemented: true
   rv64:
     accessible: false
  hip:
   reset-val: 0
   rv32:
     accessible: true
     vssip:
      implemented: true
     vstip:
      implemented: true
     vseip:
      implemented: true
     sgeip:
      implemented: true
      type:
        ro_variable: true
   rv64:
     accessible: false
  mvendorid:
   reset-val: 0x0
   rv32:
     accessible: true
     type:
       ro_constant: 0x0
   rv64:
     accessible: false
  mtvec:
   reset-val: 0x00000000
   rv32:
     accessible: true
     base:
       implemented: true
       type:                            
         warl:
           dependency_fields: []
           legal:
             - base[29:0] in [0x00000000:0x3FFFFFFF]
           wr_illegal:
             - "Unchanged"
     mode:
       implemented: true
       type:                            
         warl:
           dependency_fields: []
           legal:
             - "mode[1:0] in [0x0,0x1]"
           wr_illegal:
             - "Unchanged"
  mstatus:
   reset-val: 0x0
   rv32:
     accessible: true
     uie:
      implemented: true
     sie:
      implemented: true
     mie:
      implemented: true
     upie:
      implemented: true
     spie:
      implemented: true
     mpie:
      implemented: true
     spp:
      implemented: true
     mpp:
      implemented: true
      type:
        warl:
          dependency_fields: []
          legal:
            - mpp[1:0] in [0x0, 0x3]
          wr_illegal:
            - Unchanged
     fs:
      implemented: false
      type:
        warl:
          dependency_fields: []
          legal:
            - fs[1:0] in [0x0:0x3]
          wr_illegal:
            - Unchanged
     xs:
      implemented: false
     mprv:
      implemented: true
      type:
        warl:
          dependency_fields: []
          legal:
            - mprv[0:0] in [0x0:0x1]
          wr_illegal:
            - Unchanged
     sum:
      implemented: true
     mxr:
      implemented: true
     tvm:
      implemented: true
     tw:
      implemented: true
     tsr:
      implemented: true
     sd:
      implemented: true
      type:
        ro_variable: true
   rv64:
     accessible: false

  
  mepc:
   reset-val: 0x0
   rv32:
     accessible: true
     type:
         warl:
             dependency_fields: []
             legal:
               - mepc[31:0] bitmask [0xFFFFFFFC, 0x00000000]
             wr_illegal:
               - Unchanged
   rv64:
     accessible: false
  mtval:
   reset-val: 0x0
   rv32:
     accessible: true
     type:
         warl:
             dependency_fields: []
             legal:
               - mtval[31:0] in [0x00000000:0xFFFFFFFF]
             wr_illegal:
               - Unchanged
   rv64:
     accessible: false 
  mcause:
   reset-val: 0
   rv32:
     accessible: true
     interrupt:
         implemented: true
         type:
             wlrl:
               - 0:1
     exception_code:
         implemented: true
         type:
             wlrl:
               - 0:15
   rv64:
     accessible: false
  marchid:
   rv32:
     accessible: true
     type:
       ro_constant: 0x0
   rv64:
     accessible: false
   reset-val: 0x0
  mhartid:
    rv32:
      accessible: true
      type:
        ro_constant: 0x0
    rv64:
      accessible: false
    reset-val: 0x00
  mscratch:
    rv32:
      accessible: true
      type:
         warl:
            dependency_fields: []
            legal:
              - mscratch[31:0] in [0x00000000:0xFFFFFFFF]
            wr_illegal:
              - Unchanged
    rv64:
      accessible: false
    reset-val: 0x0
  mimpid:
    rv32:
      accessible: true
      type:
        ro_constant: 0x0
    rv64:
      accessible: false
    reset-val: 0
  mcycle:
        rv32:
            accessible: true
            type: 
                warl:
                    dependency_fields: []
                    legal:
                      - mcycle[31:0] in [0x00000000:0xFFFFFFFF]
                    wr_illegal:
                      - Unchanged
        rv64:
            accessible: false
        reset-val: 0
  minstret:
        rv32:
            accessible: true
            type: 
                warl:
                    dependency_fields: []
                    legal:
                      - minstret[31:0] in [0x00000000:0xFFFFFFFF]
                    wr_illegal:
                      - Unchanged
        rv64:
            accessible: false
        reset-val: 0
  mcycleh:
        rv32:
            accessible: true
            type: 
                warl:
                    dependency_fields: []
                    legal:
                      - mcycleh[31:0] in [0x00000000:0xFFFFFFFF]
                    wr_illegal:
                      - Unchanged
        rv64:
            accessible: false
        reset-val: 0
  minstreth:
        rv32:
            accessible: true
            type: 
                warl:
                    dependency_fields: []
                    legal:
                      - minstreth[31:0] in [0x00000000:0xFFFFFFFF]
                    wr_illegal:
                      - Unchanged
        rv64:
            accessible: false
        reset-val: 0 
  fcsr:
        rv64:
          accessible: false
        rv32:
          accessible: true
          fflags:
            implemented: true
            type:
                warl:
                    dependency_fields: []
                    legal:
                      - fflags[4:0] in [0x00:0x1F]
                    wr_illegal:
                      - Unchanged
          frm:
            implemented: true
            type:
                warl:
                    dependency_fields: []
                    legal:
                      - frm[2:0] in [0x0:0x7]
                    wr_illegal:
                      - Unchanged
        reset-val: 0
  time:
        rv32:
            accessible: true
            type:
                ro_variable: true
        rv64:
            accessible: false
        reset-val: 0
  timeh:
        rv32:
            accessible: true
            type:
                ro_variable: true
        rv64:
            accessible: false
        reset-val: 0
  sstatus:
   reset-val: 0x0
   rv32:
     accessible: true
     uie:
      implemented: false
     sie:
      implemented: true
     upie:
      implemented: false
     spie:
      implemented: false
     spp:
      implemented: true
     fs:
      implemented: false
     xs:
      implemented: false
     sum:
      implemented: true
     mxr:
      implemented: true
     sd:
      implemented: true
   rv64:
     accessible: false
  vsstatus:
   reset-val: 0x0
   rv32:
     accessible: true
     uie:
      implemented: false
     sie:
      implemented: true
     upie:
      implemented: false
     spie:
      implemented: false
     spp:
      implemented: true
     fs:
      implemented: false
     xs:
      implemented: false
     sum:
      implemented: true
     mxr:
      implemented: true
     sd:
      implemented: true
   rv64:
     accessible: false
